TRUNCATE(1)

NOM
truncate - Réduire ou étendre la taille d'un fichier à la taille indiquée

SYNOPSIS
truncate OPTION ... FICHIER ...

DESCRIPTION

Réduire ou étendre la taille de chaque fichier à la taille indiquée

Un paramètre FICHIER qui n'existe pas sera créé.

Si un FICHIER est plus gros que la taille indiquée, les données supplémentaires seront perdues. Si un FICHIER est plus petit, il est étendu, et la lecture de la partie creuse rajoutée (un trou) fournira des octets de valeur zéro.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-c, --no-create
    ne créer aucun fichier

-o, --io-blocks
    traiter la TAILLE comme un nombre de blocs d'entrées-sorties au lieu d'un nombre d'octets

-r, --reference=FICHIERR
    utiliser la taille de FICHIERR

-s, --size=TAILLE
    utiliser cette TAILLE en octet

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

L’argument TAILLE est un entier suivi d'une unité facultative (10k pour 10×1024 par exemple). Les unités sont K, M, G, T, P, E, Z et Y (puissances de 1024) ou KB, MB, etc. (puissances de 1000). Les préfixes binaires peuvent aussi être utilisées : KiB=K, MiB=M et ainsi de suite.

TAILLE peut aussi être préfixée par un des caractères modificateurs suivants : « + » agrandit de, « - » réduit de, « < » au plus, « > » au moins, « / » arrondi au multiple inférieur de, « % » arrondi au multiple supérieur de.

AUTEUR
Écrit par Padraig Brady.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
dd(1), truncate(2), ftruncate(2)

Documentation complète : <https://www.gnu.org/software/coreutils/truncate>
aussi disponible localement à l’aide de la commande : info '(coreutils) truncate invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.